Page MenuHomePhabricator

harmonize RFCs on mw.org with MediaWiki-RfCs board
Closed, ResolvedPublic

Description

The Architecture Committee is tracking RFCs on the TechCom-RFC workboard.

  • Make sure all open RFCs on mw.org (that aren't accepted or declined), have a task in Phabricator.
  • Change the {{RFC}} template to show "status: tracked in Phabricator" for open RFCs.

Event Timeline

Spage claimed this task.
Spage raised the priority of this task from to Medium.
Spage updated the task description. (Show Details)
Spage added subscribers: tstarling, Catrope, daniel and 5 others.
daniel raised the priority of this task from Medium to High.Mar 18 2015, 8:07 PM
daniel added a project: TechCom.
daniel removed projects: TechCom-RFC, Architecture.
daniel set Security to None.
Spage added a comment.EditedMar 26 2015, 12:12 AM

I fiddled with {{RFC}} to categorize pages without bug or task. Category:Requests for comment with no task shows
► Requests for comment (accepted) with no task (11 P)
► Requests for comment (in discussion) with no task‎ (13 P)
► Requests for comment (in draft) with no task‎ (37 P)
► Requests for comment (stalled) with no task‎ (6 P)
(106 RFCs supposedly not in Phabricator, out of 180 RFCs on mediawiki.org)

► Requests for comment (declined) with no task‎ (20 P)
► Requests for comment (implemented) with no task‎ (19 P)
(These archived categories are less important to bring to Phabricator.)

To harmonize, follow the process:

  • triage the RFC
    • if it's completed then archive the page by adding status=declined or implemented to the page's {{RFC}} template
  • locate Phab task for the RFC
    • create Phab task if not found
  • add task=TNNNNN to the page's {{RFC}} template.
  • you can use extrastatus=Some comment in the page's {{RFC}} template, e.g. to link to the meetbot IRC discussion summary
  • move the task to the appropriate workboard column
Qgil added a comment.Apr 30 2015, 10:22 AM

@Spage, this task is marked High priority but it is not scheduled in any sprint. Can you update it, please?

@Spage, @Qgil: I think this is essentially done. Or are we missing any important set of RFCs on phab?

Qgil closed this task as Resolved.May 29 2015, 7:33 AM

Alright, I'll be bold and resolve it. If anyone disagrees, please reopen and explain.